/**
 * Created by Administrator on 2016/4/8.
 */
/**
 * Created by Administrator on 2016/4/6.
 */
requirejs.config({
    //By default load any module IDs from js/lib
    baseUrl: 'js',
    shim: {
		  'app': ['hprose']
    }
});


// Start the main app logic.
require(['mui', 'hprose', 'app'],function(mui) {
	mui.init({
    subpages: [{
      url: 'frame.html'
    }]
  });
  mui.plusReady(function () {
    //仅支持竖屏显示
    plus.screen.lockOrientation("portrait-primary");
    
    //读取本地存储，检查是否为首次启动
    if (plus.storage.getItem("lauchBangkeFlag")) {
      //有值，说明已经显示过了，无需显示
      closeSplashscreen();
    } else {
      //显示启动导航
      showGuide();
    }
    
    
    //
//  var localStorageUrl = localStorage.getItem('documentRoot')
//  if(localStorageUrl){
//  	if (plus.runtime.appid.toLowerCase() == 'hbuilder') netUrl = localStorageUrl;
//  }else{
//  	var netUrl = 'https://app.hzmacheng.com:8000';
//  }

    var netUrl = 'https://app.hzmacheng.com:8000';
    if (plus.runtime.appid.toLowerCase() == 'hbuilder') netUrl = 'https://app.hzmacheng.com:8000';
    localStorage.setItem('documentRoot', netUrl);
    app.initRoot();
    var now = new Date();
    var nowTime = now.getTime();
    plus.runtime.getProperty(plus.runtime.appid, function (wgtinfo) {
      localStorage.removeItem('money');
      app.netCall('User_getConf', [wgtinfo.version],
        function (jsonObj) {
        	var serverTime = (jsonObj.conf.serverTime)*1000;
        	var diffTime = serverTime - nowTime;
        	localStorage.setItem('diffTime',diffTime);
          localStorage.setItem('config', JSON.stringify(jsonObj));
          if (jsonObj.ret) {
            if (jsonObj.msg) mui.toast(jsonObj.msg);
            return;
          }
          localStorage.removeItem('numId');
          localStorage.removeItem('id');
        }
      );
    });
  });
  
  function showGuide() {
    var winGuide = mui.openWindow({
      id: 'guide',
      url: 'subpage/guide.html',
      show: {
        aniShow: 'none'
      },
      waiting: {
        autoShow: false
      }
    });
  }
  
  function closeSplashscreen() {
    plus.navigator.closeSplashscreen();
    plus.navigator.setFullscreen(false);
  }
  
  
});