/**
 * Created by Administrator on 2016/4/8.
 */
/**
 * Created by Administrator on 2016/4/6.
 */
requirejs.config({
	//By default load any module IDs from js/lib
	baseUrl: '../../js',
	shim: {
		'app': ['hprose']
	}
});


// Start the main app logic.
require(['mui', 'vue', 'winAdmin', 'app'], function(mui, Vue) {
  //分享
  var shares = null, bhref = false;
  var Intent = null, File = null, Uri = null, main = null;
  /**
   * 分享操作
   * @param {String} id
   */
  function shareAction(share) {

    var shareServiceList = app.getShareServices();
    console.log("获取分享服务列表："+JSON.stringify(shareServiceList));
    if (!share.id || !shareServiceList[share.id]) {

      console.log("无效的分享服务！" + JSON.stringify(shareServiceList));
      return;
    }
    var service = shareServiceList[share.id];
    if (service.authenticated) {

      console.log("---已授权---");
      shareMessage(service, share);
    } else {

      console.log("---未授权---");
      service.authorize(function () {
        shareMessage(service, share);
      }, function (e) {

        console.log("认证授权失败：" + e.code + " - " + e.message);
      });
    }
  }
/**
   * 发送分享消息
   * @param {plus.share.ShareService}
   */
function shareMessage(service, share) {
    var msg = {extra: {}};
    // msg.href=sharehref.value;
	
	var imgUrl = JSON.parse(localStorage.getItem('config'));
	var id = localStorage.getItem('moneyId');
	var shareUrl = imgUrl.conf.regUrl + "#user=" + id;
    msg.href = shareUrl;
    msg.title = '1682台iphone6s最低一元限时出售';
    msg.content = '赶快一起来夺宝吧！';
    msg.thumbs = ['_www/img/shishijingxilogo.png'];  //链接显示图片，直接放在根目录下
	msg.pictures=["../../img/shishijingxi.png"];
    if (share.scene) msg.extra.scene = share.scene;

    console.log(JSON.stringify(msg));
    service.send(msg, function () {

      plus.nativeUI.toast("分享成功");
	  getSelfIntegral();
    }, function (e) {

      plus.nativeUI.toast('分享失败。');
//plus.nativeUI.toast(e.message);
      
    });
}
  
  mui('body').on('tap', '.mui-popover-action li>a', function() {
	var shareConfig = app.getShareConfig();
	var a = this,parent,index = 0;
	console.log("a value:"+a.lastChild.getAttribute('value'));
	
	//关闭actionsheet
	mui('#picture').popover('toggle');
	console.log("a.innerHTML:"+a.lastChild.innerHTML);
	
	var i=a.lastChild.getAttribute('value');
	if (i > 0) shareAction(shareConfig[i - 1]);
  });
	
	
	var appVue = new Vue({
		el: 'body',
		data: {
			inviteIns:"",
			inviteIntegral:""
		},
		methods: {
			nowrushbtn:function(){
				
			}
		}
	});
	
	mui.plusReady(function () {
		getSelfIntegral();
		app.getShareServices();
	});
	
	window.showWebview = function() {
		getSelfIntegral();
	}
	
	//分享成功后获得积分
	function userShare(){
		app.netCall('User_userShare',[], function (data) {
			if(data.ret.code == 1006) return winAdmin.openWindow('login.html');
    	});	
	}
	
	var inviteFriendsLoad = document.getElementById("inviteFriendsLoad");
	var inviteFriends = document.getElementById("inviteFriends");
	function getSelfIntegral(){
		app.netCall('User_getSelfIntegral',[], function (data) {
			appVue.inviteIns = data.integralInfo.inviteIns;
			appVue.inviteIntegral = data.integralInfo.inviteIntegral;
			
			if(appVue.inviteIntegral){
	    		inviteFriendsLoad.style.display = "block";
	    		inviteFriends.style.display = "none";
	    	}else{
	    		inviteFriendsLoad.style.display = "none";
	    		inviteFriends.style.display = "block";
	    	}
    	});
    	
	}
});