/**
 * Created by Administrator on 2016/4/8.
 */
/**
 * Created by Administrator on 2016/4/6.
 */
requirejs.config({
	//By default load any module IDs from js/lib
	baseUrl: '../../js',
	shim: {
		'app': ['hprose']
	}
});


// Start the main app logic.
require(['mui', 'vue', 'winAdmin', 'app'], function(mui, Vue) {
  //分享
  var shares = null, bhref = false;
  var Intent = null, File = null, Uri = null, main = null;
  /**
   * 分享操作
   * @param {String} id
   */
  function shareAction(share) {

    var shareServiceList = app.getShareServices();
    if (!share.id || !shareServiceList[share.id]) {

      console.log("无效的分享服务！" + JSON.stringify(shareServiceList));
      return;
    }
    var service = shareServiceList[share.id];
    if (service.authenticated) {

      console.log("---已授权---");
      shareMessage(service, share);
    } else {

      console.log("---未授权---");
      service.authorize(function () {
        shareMessage(service, share);
      }, function (e) {

        console.log("认证授权失败：" + e.code + " - " + e.message);
      });
    }
  }
/**
   * 发送分享消息
   * @param {plus.share.ShareService}
   */
function shareMessage(service, share) {
  var msg = {extra: {}};
  // msg.href=sharehref.value;
  var sign = document.getElementById('sign');
	var alreadySign = document.getElementById('alreadySign');
	
	var imgUrl = JSON.parse(localStorage.getItem('config'));
	var id = localStorage.getItem('moneyId');
	var shareUrl = imgUrl.conf.regUrl + "#user=" + id;
  msg.href = shareUrl;
  msg.title = '1682台iphone6s最低一元限时出售';
  msg.content = '我刚刚获得了一台iphone6s，赶快一起来夺宝吧！';
  msg.thumbs = ['_www/img/shishijingxilogo.png'];  //链接显示图片，直接放在根目录下
	msg.pictures=["../../img/shishijingxi.png"];
  if (share.scene) msg.extra.scene = share.scene;
  console.log(JSON.stringify(msg));
  service.send(msg, function () {
    plus.nativeUI.toast("分享成功");
  	userShare();
  	getMySelfIntegral();
  }, function (e) {
    plus.nativeUI.toast('分享失败。');
//plus.nativeUI.toast(e.message);
      
  });
}
  
  mui('body').on('tap', '.mui-popover-action li>a', function() {
	var shareConfig = app.getShareConfig();
	var a = this,parent,index = 0;
	console.log("a value:"+a.lastChild.getAttribute('value'));
	
	//关闭actionsheet
	mui('#picture').popover('toggle');
	console.log("a.innerHTML:"+a.lastChild.innerHTML);
	
	var i=a.lastChild.getAttribute('value');
	if (i > 0) shareAction(shareConfig[i - 1]);
  });
  
  
  
	
	var integralDetails = document.getElementById('integralDetails');
	var news = document.getElementById('news');
	var indianaExchange = document.getElementById('indianaExchange');
	var explain = document.getElementById('explain');
	
	integralDetails.addEventListener('tap',function(){
		winAdmin.openWindow('myExchange.html');
	});
//	news.addEventListener('tap',function(){
//		winAdmin.openWindow('newbieTask.html');
//	});
	indianaExchange.addEventListener('tap',function(){
		var integral = appVue.integral;
		var integralMoney = Math.floor(integral/1000);
		var Originally = integralMoney*1000;
		if(integral < 1000){
			mui.toast('积分不足，无法兑换');
			return false;
		}
		var btnArray = ['否', '是'];
		var str = "是否花费 "+Originally+" 积分兑换"+integralMoney+"幸运币？";
		mui.confirm(str, '兑换幸运币', btnArray, function(e) {
			if (e.index == 1) {
				exchangeIntegral();
			} else {
				return false;
			}
		})
	});
	explain.addEventListener('tap',function(){
		winAdmin.openWindow('integralDescription.html');
	});
	
	var appVue = new Vue({
		el: 'body',
		data: {
			integral: "",
			isChecked: "",
			todayIsShare: "",
			todayAddIntegral:""
		},
		methods: {
			addisChecked:function(){
				sign.style.display = "none";
				alreadySign.style.display = "block";
				userCheckIn();
				getMySelfIntegral();
			},
			addTodayIsShare:function(){
				
			},
			earnPoints:function(){
				winAdmin.openWindow('homeDetail.html');
			},
			earnPointsFriend:function(){
				winAdmin.openWindow('inviteFriends.html');
			}
		}
	});
	
	mui.plusReady(function () {
		getSelfIntegral();
		app.getShareServices();
	});
	
	window.showWebview = function() {
		getSelfIntegral();
	}
	
	function getMySelfIntegral(){
		app.netCall('User_getSelfIntegral',[], function (data) {
			appVue.integral = data.integralInfo.integral;
    	});
	}
	
	//我的积分详情
	function getSelfIntegral(){
		var nowIntegral = document.getElementById('nowIntegral');
		var myIntegral = document.getElementById('myIntegral');
		app.netCall('User_getSelfIntegral',[], function (data) {
			if(data.ret.code == 1006) return winAdmin.openWindow('login.html');
			appVue.integral = data.integralInfo.integral;
			appVue.todayAddIntegral = data.integralInfo.todayAddIntegral;
			appVue.isChecked = data.integralStatus.isChecked;
			appVue.todayIsShare  = data.integralStatus.todayIsShare ;
			//没有签到
			if(data.integralStatus.isChecked == 2){
				sign.style.display = "block";
				alreadySign.style.display = "none";
			}
			//签到
			if(data.integralStatus.isChecked == 1){
				sign.style.display = "none";
				alreadySign.style.display = "block";
			}
    	});
    	
    	if(appVue.integral == "" && appVue.isChecked == "" && appVue.todayIsShare == ""){
			myIntegral.style.display = "block";
			nowIntegral.style.display = "none";
		}else if(appVue.integral && appVue.isChecked && appVue.todayIsShare){
			nowIntegral.style.display = "none";
			myIntegral.style.display = "block";
		}
	}
	
	//分享成功后获得积分
	function userShare(){
		app.netCall('User_userShare',[], function (data) {
			if(data.ret.code == 1006) return winAdmin.openWindow('login.html');
    	});	
	}
	
	//兑换幸运币
	function exchangeIntegral(){
		var nowIntegral =Math.floor(appVue.integral/1000);
		if(nowIntegral == "0"){
			mui.toast('积分不足，无法兑换');
		}else{
			app.netCall('User_exchangeIntegral',[nowIntegral], function (data) {
				if(data.ret.code == 1006) return winAdmin.openWindow('login.html');
				mui.toast('恭喜兑换成功！');
				showWebview();
	    	});	
		}
	}
	
	//点击签到
	function userCheckIn(){
		app.netCall('User_userCheckIn',[], function (data) {
			if(data.ret.code == 1006) return winAdmin.openWindow('login.html');
			
    	});
	}

});