/**
 * Created by Administrator on 2016/4/8.
 */
/**
 * Created by Administrator on 2016/4/6.
 */
requirejs.config({
    //By default load any module IDs from js/lib
    baseUrl: '../../js',
    shim: {
		'app': ['hprose']
    }
});


// Start the main app logic.
require(['mui','util','winAdmin', 'hprose', 'app'],function(mui) {
		var validLink = document.querySelector('#link-get-valid');
		var regMobileBox = document.querySelector('#txt-reg-mobile');
		var regValidBox = document.querySelector('#txt-reg-valid');
		var runCnt = '';
		var mobileInfo = [];
		// 验证码获取
		  validLink.addEventListener('tap', function () {
		  	if(validLink.getAttribute('data-only-tap')) return false;
		  	
		    if (!util.checkMobile(regMobileBox.value)) {
		    	mui.toast('手机号错误');
		      return;
		    }
		    if (runCnt) return;
		    
		    validLink.setAttribute('data-only-tap',1);
		    validLink.innerText = '短信正在发送中..';
		    
		    app.netCall('User_getRegValidCode', [regMobileBox.value], function (data) {
		      if (data.ret.code != 0) {
		        if (data.ret.msg){
		        	mui.toast(data.ret.msg);
		        	validLink.innerText = '获取验证码';
		        	validLink.removeAttribute('data-only-tap');
		        } 
		        return;
		      }
		      
		      if (data.once.validCode) regValidBox.setAttribute('placeholder', data.once.validCode);
		      runCnt = 60;
		      regValidBox.focus();
		      var oldText = validLink.innerText;
		      var timerId = setInterval(function () {
		        --runCnt;
		        if (runCnt > 0) {
		          validLink.innerText = '(' + runCnt + ')';
		        }
		        else {
		          validLink.innerText = '获取验证码';
		          clearInterval(timerId);
		          validLink.removeAttribute('data-only-tap');
		        }
		      }, 1000);
		    });
		  });
		  
		    /*
		    * 勾选状态确定按钮状态
		    */
		  var checks = document.getElementById('checkboxFiveInput');
		  var regButton = document.querySelector('#register');
		  
		  checks.addEventListener('change',function(){
		   	if(checks.checked == true){
		   		regButton.removeAttribute('disabled');
		    }else if(checks.checked == false){
		    	regButton.disabled = "true";
		    }
		  });
		  
		  var serviceAgreement =document.querySelector('#serviceAgreement');
		  serviceAgreement.addEventListener('tap',function(){
		  	winAdmin.openWindow('serviceAgreement.html');
		  });
		  
		  // 注册账号
		  var regPasswdBox = document.querySelector('#txt-reg-password');//密码
		  var regInviteBox = document.querySelector('#txt-reg-invite');//邀请码
		  var autoLogin = false;
		  regButton.addEventListener('tap', function () {
		  	regButton.disabled = "true";
		  	setTimeout(function(){
		  		regButton.removeAttribute('disabled');
			},3000);
		  		
		    if (regPasswdBox.value.length < 6) {
		      mui.toast('密码最短需要 6个字符');
		      return ;
		    }
//		    if (regConfirmBox.value != regPasswdBox.value) {
//		      mui.toast('两次密码输入不一致');
//		      return ;
//		    }
		    if (regValidBox.value.length < 6) {
		      mui.toast('请输入校验码');
		      return ;
		    }
		    var extArg = (regInviteBox.value.length) ? {from: regInviteBox.value} : {};
		    app.netCall('User_mobileReg', [regMobileBox.value, regPasswdBox.value, regValidBox.value, extArg], function (data) {
		      if (data.ret.code == 0) {
		        login([regMobileBox.value, regPasswdBox.value, mobileInfo]);
		      }else{
		      	validLink.removeAttribute('data-only-tap');
		      	mui.toast(data.ret.msg);
		      }
			    var jsonUserStr = JSON.stringify(data);
			    if (autoLogin) {
			    	plus.storage.setItem('user', jsonUserStr);
			    }
			    else {
			    	plus.storage.removeItem('user');
			    }
			    localStorage.setItem('user', jsonUserStr);
//		      toHome();
		    });
		  });
		  
		  function login (param) {
		    app.netCall('User_mobileLogin', param,
		      function (data) {
		   		
		        if (data.ret.code != 0) {
		          if (data.ret.msg) plus.nativeUI.toast(data.ret.msg);
		        	mobileInfo['auto'] = 0;
		        	app.clean();
		        	closeSplashscreen();
		          return;
		        }else{
		        	mui.toast("登陆成功！");
		        	//保存token
			      	var jsonTokenStr = JSON.stringify(data.once);
			        localStorage.setItem('token', jsonTokenStr);
		        	var loginJump = localStorage.getItem('loginJump');
		        	if(loginJump != ''){
		        		winAdmin.openWindow('homeDetail.html');
					}
		        }
		  });
		};
});