/**
 * Created by Administrator on 2016/4/8.
 */
/**
 * Created by Administrator on 2016/4/6.
 */
requirejs.config({
    //By default load any module IDs from js/lib
    baseUrl: '../../js',
    shim: {
		
    }
});


// Start the main app logic.
require(['mui', 'vue','util','winAdmin','city.data','mui.picker.min','app'],function(mui, Vue) {
		var cityResult = document.getElementById('cityResults');  //省市
		var province_label = document.getElementById('province-label'); //省
		var city_label = document.getElementById('city-label'); //市
		(function ($, doc) {
		$.init();
		$.ready(function () {

	  //-----------------------------------------
	  //省市
	  var cityPicker = new $.PopPicker({
	    layer: 2
	  });
	  cityPicker.setData(cityData);
	  var showCityPickerButton = doc.getElementById('showCityPickers');
	
	  showCityPickerButton.addEventListener('tap', function (event) {
	    document.activeElement.blur();
	    cityPicker.show(function (items) {
	      cityResult.value = items[0].text + " " + items[1].text;
	      province_label.value = items[0].text;
	      city_label.value = items[0].text;
	      //返回 false 可以阻止选择框的关闭
	      //return false;
	        });
	      }, false);
	    });
	  })(mui, document);
	  
	  var appVue = new Vue({
		el: 'body',
		data: {
			expressAddressArr:[]
		},
		methods: {
			
		},
		 postInfo:{
		      'name':'zhan',      //收货人姓名
		      'address':'**湾64号', //详细地址
		      'phone':'1325489321',   //收货人电话
		      'postcode':'',     //邮编
		      'province':'湖北省',       //省
		      'city':'市',             //市
		      'isDefault':0,           //是否设为默认地址
		      'anotherName':'家里地址',   //设置地址别名
		 }
		
	});
	
	//保存地址
	function getSelfExpressAddress(param){
		
		app.netCall('User_addExpressAddress', [param], function(data) {
			if (data.ret.code != 0) {
		        if (data.ret.msg) mui.toast(data.ret.msg);
		        signBtn.value = ""; 
				inputs.value = "";
				telName.value = "";
				cityResults.value = "";
				Address.value = "";
				postcode.value = "";
				checkedBox.checked = false;
		        return;
		    }
			mui.toast('添加地址成功！')
			signBtn.value = ""; 
			inputs.value = "";
			telName.value = "";
			cityResults.value = "";
			Address.value = "";
			postcode.value = "";
			checkedBox.checked = false;
		});
	}
	
	var signBtn = document.getElementById('sign-btn'); 
	var inputs = document.getElementById('inputName');//姓名
	var telName = document.getElementById('telName');//电话
	var cityResults = document.getElementById('cityResults');//电话
	var Address = document.getElementById('Address');//电话
	var checkedBox = document.getElementById('checkedBox');//设置默认收货地址
	var postcode = document.getElementById('postcode');//邮编
	signBtn.addEventListener('tap', function (event) {
		if(inputs.value == ''){
			mui.toast('姓名不能为空');
			return false;
		}
		if (!util.checkMobile(telName.value)) {
	    	mui.toast('手机号码输入错误');
	      return;
	    }
		if(cityResults.value == ''){
			mui.toast('省份不能为空');
			return false;
		}
		if(Address.value == ''){
			mui.toast('地址不能为空');
			return false;
		}
		var postInfo = {};
		var arr = cityResults.value.split(" ");
		postInfo['name'] = inputs.value;
		postInfo['phone'] = telName.value;
		postInfo['province'] = arr[0];
		postInfo['city'] = arr[1];
		postInfo['address'] = Address.value;
		if(checkedBox.checked){
			postInfo['isDefault'] = 1;
		}
		if(!postcode.value == ''){
			postInfo['postcode'] = postcode.value;
		}
		getSelfExpressAddress(postInfo);
		
		winAdmin.openWindow('harvestAddress.html');
	});
});