/**
 * Created by Administrator on 2016/4/8.
 */
/**
 * Created by Administrator on 2016/4/6.
 */
requirejs.config({
    //By default load any module IDs from js/lib
    baseUrl: '../../js',
    shim: {
    	
    }
});


// Start the main app logic.
require(['mui', 'vue','util','winAdmin','city.data','mui.picker.min','app'],function(mui, Vue) {

			var showCityPickerButton = document.getElementById('showCityPicker');
			var cityResult = document.getElementById('cityResult');
			showCityPickerButton.addEventListener('tap', function(event) {
				//-----------------------------------------
				//级联示例
				var cityPicker = new mui.PopPicker({
					layer: 2
				});
				cityPicker.setData(cityData);
				cityPicker.show(function(items) {
					cityResult.value = items[0].text + " " + items[1].text;
					//返回 false 可以阻止选择框的关闭
					//return false;
				});
			}, false);
		mui.init();
	  var appVue = new Vue({
		el: 'body',
		data: {
			expressAddressArr:[],
			name:"",
			phone:"",
			province:"",
			city:"",
			address:"",
			postcode:"",
			isDefault:''
		},
		methods: {
			
		},
		 postInfo:{
		      'name':'zhan',      //收货人姓名
		      'address':'**湾64号', //详细地址
		      'phone':'1325489321',   //收货人电话
		      'postcode':'',     //邮编
		      'province':'湖北省',       //省
		      'city':'市',             //市
		      'isDefault':0,           //是否设为默认地址
		      'anotherName':'家里地址',   //设置地址别名
		 }
		
	});
	
	mui.plusReady(function () {
		appVue.name = "";
		appVue.phone = "";
		appVue.province = "";
		appVue.city = "";
		appVue.address = "";
		appVue.postcode = "";
		appVue.isDefault = "";
		getExpressAddressById();
	});
	
	window.showWebview = function() {
		appVue.name = "";
		appVue.phone = "";
		appVue.province = "";
		appVue.city = "";
		appVue.address = "";
		appVue.postcode = "";
		appVue.isDefault = "";
		getExpressAddressById();
	}
	
	//修改原本地址
	function getExpressAddressById(){
		var id = localStorage.getItem('AddressId');
		app.netCall('User_getExpressAddressById', [id], function(data) {
			var dataInfo = data.expressAddress;
			appVue.name = dataInfo.name;
			appVue.phone = dataInfo.phone;
			appVue.province = dataInfo.province;
			appVue.city = dataInfo.city;
			appVue.address = dataInfo.address;
			appVue.postcode = dataInfo.postcode;
			appVue.isDefault = dataInfo.isDefault;
			if(1 == dataInfo.isDefault){
				checkedBox.checked = true;
			}else{
				checkedBox.checked = false;
			}
		});
	}
	
	//修改地址
	function modifyExpressAddress(param){
		app.netCall('User_modifyExpressAddress', [param], function(data) {
			console.log("--------------------->"+JSON.stringify(data));
			if (data.ret.code != 0) {
		        if (data.ret.msg) mui.toast(data.ret.msg);
		        signBtn.value = ""; 
				inputs.value = "";
				telName.value = "";
				cityResults.value = "";
				Address.value = "";
				checkedBox.checked = false;
				postcode.value = "";
		        return;
		    }
			mui.toast('修改地址成功！')
			signBtn.value = ""; 
			inputs.value = "";
			telName.value = "";
			cityResults.value = "";
			Address.value = "";
			checkedBox.checked = false;
			postcode.value = "";
			
			var numId = localStorage.getItem('numId');
			if(numId){
				winAdmin.openWindow('winner.html');
			}else{
				winAdmin.openWindow('harvestAddress.html');
			}
		});
	}
	
	var signBtn = document.getElementById('sign-btn'); 
	var inputs = document.getElementById('inputName');//姓名
	var telName = document.getElementById('telName');//电话
	var cityResults = document.getElementById('cityResult');//电话
	var Address = document.getElementById('Address');//电话
	var checkedBox = document.getElementById('checkedBox');//设置默认收货地址
	var postcode = document.getElementById('postcode');//邮编
	signBtn.addEventListener('tap', function (event) {
		if(inputs.value == ''){
			mui.toast('姓名不能为空');
			return false;
		}
		if (!util.checkMobile(telName.value)) {
	    	mui.toast('手机号码输入错误');
	      return;
	    }
		if(cityResults.value == ''){
			mui.toast('省份不能为空');
			return false;
		}
		if(Address.value == ''){
			mui.toast('地址不能为空');
			return false;
		}
		var postInfo = {};
		var arr = cityResults.value.split(" ");
		postInfo['name'] = inputs.value;
		postInfo['phone'] = telName.value;
		postInfo['province'] = arr[0];
		postInfo['city'] = arr[1];
		postInfo['address'] = Address.value;
		var id = localStorage.getItem('AddressId');
		postInfo['id'] = id;
		var isD = 0
		if(checkedBox.checked){
			isD = 1;
			postInfo['isDefault'] = 1;
		}
		if(!postcode.value == ''){
			postInfo['postcode'] = postcode.value;
		}
		var changeInfo = 0;
		if(inputs.value != appVue.name) changeInfo = 1;
		if(telName.value != appVue.phone) changeInfo = 1;
		if(arr[0] != appVue.province) changeInfo = 1;
		if(arr[1] != appVue.city) changeInfo = 1;
		if(Address.value != appVue.address) changeInfo = 1;
		if(postcode.value != appVue.postcode) changeInfo = 1;
		if(isD != appVue.isDefault) changeInfo = 1;
		if(changeInfo == 0){
			mui.toast("您并未做任何修改！");
			return false;
		}
		modifyExpressAddress(postInfo);
		
	});
});