/**
 * Created by Administrator on 2016/4/8.
 */
/**
 * Created by Administrator on 2016/4/6.
 */
requirejs.config({
	//By default load any module IDs from js/lib
	baseUrl: '../../js',
	shim: {
		'app': ['hprose']
	}
});

// Start the main app logic.
require(['mui', 'vue', 'winAdmin', 'app'], function(mui, Vue) {
//	var updateState = false
	var gallery = mui('#slider');
	var item1 = document.getElementById("scroll1"); ///进行中数据
	var itemInfo = document.getElementById("item1Info");
	
	var getMore = document.getElementById("getMore"); //下拉加载更多
	var getMores = document.getElementById("getMores"); //下拉加载更多
	var length = 4; // 每页长度
	var first = 0; // 当前页
	var mores = 0; // 判断加载数据是否有更多

	//最热
	var pageSzie = 4; // 每页长度
	var pageNow = 0; // 当前页
	var more = 0; // 判断加载数据是否有更多

	var initialValue = 0; //进页面最新的初始值

	//滚动条
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});
	(function($) {
		var sliderSegmentedControl = document.getElementById('sliderSegmentedControl');
		$('.mui-input-group').on('change', 'input', function() {
			if (this.checked) {
				sliderSegmentedControl.className = 'mui-slider-indicator mui-segmented-control mui-segmented-control-inverted mui-segmented-control-' + this.value;
				//force repaint
				sliderProgressBar.setAttribute('style', sliderProgressBar.getAttribute('style'));
			}
		});
	})(mui);

	var state;
	var appVue = new Vue({
		el: 'body',
		data: {
			periods: [],
			percentage: [],
			period: [],
			carouselImgArr: [],
			firstImg: "",
			lastImg: "",
			length: "",
			bannerTips: []
		},
		methods: {
			productDetail: function(periodNum) {
				localStorage.setItem('id', periodNum);
				winAdmin.openWindow('productDetail.html');
			},
			imagesUrl: function(periodNum) {
				localStorage.setItem('id', periodNum);
				winAdmin.openWindow('productDetail.html');
			}
		}
	});

	mui.plusReady(function() {
		showWebview();
		onPlusReady();
		state = 0;
	});


	window.showWebview = function() {
		first = 0;
		if(state == 0 || state == undefined){
			allProductInfo(length, first);
		}else{
			allProductInfoHot(pageSzie, pageNow);
		}
		getMore.innerHTML = '点击加载更多...';
		getCarouselImgTable();
		carousel();
	}

	var getnews = document.getElementById("getnews"); //最新
	var gethot = document.getElementById("gethot"); //最热

	getnews.addEventListener('tap', function() {
		state = 0;
		getMore.innerHTML = '点击加载更多...';
		first = 0;
		allProductInfo(length, first);

	})

	gethot.addEventListener('tap', function() {
		state = 1;
		getMores.innerHTML = '点击加载更多...';
		pageNow = 0;
		allProductInfoHot(pageSzie, pageNow);
	})

	//下拉加载更多
	getMore.addEventListener('tap', function() {
		state = 0;
		onScrollToBottom();
	});

	//最热加载更多
	getMores.addEventListener('tap', function() {
		state = 1;
		onScrollToBottom();
	});

	//最新
	function allProductInfo(length, first) {
    app.checkUpdate();
		var pageFirst = first * length;
		app.netCall('Product_getPeriodTableWithSell', [{
			length: length,
			first: pageFirst
		}], function(data) {
			var dataInfo = data.periods.data;
			var imgUrl = JSON.parse(localStorage.getItem('config'));
			for (var i = 0; i < dataInfo.length; i++) {
				var progress = (dataInfo[i].totalNum - dataInfo[i].surplusNum) / dataInfo[i].totalNum;
				dataInfo[i]['percentage'] = Math.floor(progress * 100);
				dataInfo[i]['joinNum'] = dataInfo[i].totalNum - dataInfo[i].surplusNum;
				if (dataInfo[i].image) dataInfo[i]['imgs'] = imgUrl.conf.resBase + dataInfo[i].image.carouselImg[0].path;
			}

			if (dataInfo[0]) {
				if (0 == first) {
					appVue.periods = dataInfo;
				} else {
					for (var j = 0; j < dataInfo.length; j++) {
						appVue.periods.push(dataInfo[j]);
					}
				}
				mores = 0;
			} else {
				mores = 1;
			}

			appVue.$nextTick(function() {
				var ClippingNum = 'homeDetailImg';
				app.pictureClipping(ClippingNum);
			});
			if (appVue.periods) {
				item1.style.display = "block";
				itemInfo.style.display = "none";
			}
		});
	}

	//最热
	function allProductInfoHot(pageSzie, pageNow) {
		var pageFirst = pageNow * pageSzie;
		var pageLength = pageNow * pageSzie + pageSzie - 1;
		app.netCall('Product_appGetAllProductHot', [{
			length: pageLength,
			first: pageFirst
		}], function(data) {
			var dataInfo = data.periods.data;
			var imgUrl = JSON.parse(localStorage.getItem('config'));
			for (var i = 0; i < dataInfo.length; i++) {
				var progress = (dataInfo[i].totalNum - dataInfo[i].surplusNum) / dataInfo[i].totalNum;
				dataInfo[i]['percentages'] = Math.floor(progress * 100);
				dataInfo[i]['joinNums'] = dataInfo[i].totalNum - dataInfo[i].surplusNum;
				if (dataInfo[i].image) dataInfo[i]['imgs'] = imgUrl.conf.resBase + dataInfo[i].image.carouselImg[0].path;
			}

			if (dataInfo[0]) {
				if (0 == pageNow) {
					appVue.period = dataInfo;
				} else {
					for (var j = 0; j < dataInfo.length; j++) {
						appVue.period.push(dataInfo[j]);
					}
				}
				more = 0;
			} else {
				more = 1;
			}

			appVue.$nextTick(function() {
				var ClippingNum = 'homeDetailImgs';
				app.pictureClipping(ClippingNum);
			});
		});
	}

	//轮播
	function getCarouselImgTable() {
		app.netCall('Product_getCarouselImgTable', [], function(data) {
			var dataImg = data.carouselImgArr.data;
			var imgUrl = JSON.parse(localStorage.getItem('config'));
			for (var i = 0; i < dataImg.length; i++) {
				var path = dataImg[i].val.path;
				var periodNum = dataImg[i].val.periodNum;
				dataImg[i].path = imgUrl.conf.resBase + path;
				dataImg[i].periodNum = periodNum;
			}
			appVue.carouselImgArr = dataImg;
			appVue.firstImg = dataImg[0].path;

			var len = dataImg.length - 1;
			appVue.length = len;
			appVue.lastImg = dataImg[len].path;

			appVue.$nextTick(function() {
				var ClippingNum = 'palyClipping';
				app.pictureClipping(ClippingNum);
				player();
			});
		});
	}

	//消息轮播
	function carousel() {
		app.netCall('Product_getbroadcastinfo', [], function(data) {
			var dataInfo = data.broadcastInfoArr;
			appVue.bannerTips = dataInfo;
			setTimeout(function() {
				carouselMessage();
			}, 200);

		});
	}

	var MyMar1;

	function carouselMessage() {
		var speed = 100;
		var colee2 = document.getElementById("colee2");
		var colee1 = document.getElementById("colee1");
		var colee = document.getElementById("colee");
		colee.scrollTop = 0;
		colee2.innerText = colee1.innerText; //克隆colee1为colee2
		function Marquee1() {
			//当滚动至colee1与colee2交界时
			if (colee2.offsetTop - colee.scrollTop - 163 <= 0) {
				colee.scrollTop -= colee1.offsetHeight; //colee跳到最顶端
			} else {
				colee.scrollTop++
			}
		}
		if (!MyMar1) MyMar1 = setInterval(Marquee1, speed); //设置定时器
	};

	//	  document.addEventListener( "plusready", onPlusReady, false );
	function onPlusReady() {
		document.addEventListener("plusscrollbottom", onScrollToBottom, false);
	}
	
	function player(){
		gallery.slider({
			interval: 2000 //自动轮播周期，若为0则不自动播放，默认为0；
		});
	}

	//最新
	function onScrollToBottom() {
		// 处理滚动到窗口底部事件,加载分页数据
		if (state == 0) {
			if (getMore.innerHTML != '没有更多数据啦') {
				++first;
				allProductInfo(length, first);
			}
			if (1 == mores) {
				getMore.innerHTML = '没有更多数据啦';
			}
		} else if (state == 1) {
			if (getMores.innerHTML != '没有更多数据啦') {
				++pageNow;
				allProductInfoHot(pageSzie, pageNow)
			}
			if (1 == more) {
				getMores.innerHTML = '没有更多数据啦';
			}
		}
	}
	
	document.addEventListener('plusready',function(){
	  checkArguments();
	},false);
	//判断启动方式
	function checkArguments(){
	   console.log("plus.runtime.launcher: "+plus.runtime.launcher);
     var args= plus.runtime.arguments;
     if(args){
       // 处理args参数，如打开新页面等
     }
	}
	//处理从后台恢复
	document.addEventListener('newintent',function(){
	  console.log("addEventListener: newintent");
    checkArguments();
	},false);

});