(function (owner) {
  owner.checkEmail = function (email) {
    email = email || '';
    return (email.length > 3 && email.indexOf('@') > -1);
  };

  owner.checkMobile = function (mobile) {
    mobile = mobile || '';
    if (mobile.length != 11) return false;
    var mobileReg = /^(((13[0-9]{1})|(15[0-9]{1})|(17[0-9]{1})|(18[0-9]{1}))+\d{8})$/;
    return mobileReg.test(mobile);
  };

  owner.getCreditNoSex = function(idCard)
  {
    if(15 == idCard.length) return (idCard[14] % 2)?1:2;
    if(18 == idCard.length) return (idCard[16] % 2)?1:2;
    return 0;
  }
  /**
   * 生成路径唯一标识
   * @param {Object} str
   */
  owner.md5 = function (str) {
    var matchArr = /[^\/]+\.html$/.exec(str);
    if (matchArr) return matchArr[0];
    return str;
  }
  /**
   * url地址检测
   * @param {Object} str
   */
  owner.checkUrl = function (str) {
    return /^https?:\/\/(([a-zA-Z0-9_-])+(\.)?)*(:\d+)?(\/((\.)?(\?)?=?&?[a-zA-Z0-9_-](\?)?)*)*$/i.test(str);
  }
}(window.util = {}));
