+function (owner) {
  if (!owner) return;
  var parentWin;		// 父窗口对象
  var selfWin;		// 当前窗口对象
  var childWin;			// 子窗口
  var waitWin;		// 等待窗口

	owner.goLogin = function() {
		setTimeout(function() {
      owner.openWindow('login.html');
    }, 0);
	};
  owner.back = function(){
    mui.fire(parentWin, 'goBack');
  };
	owner.clean = function(){
		mui.fire(parentWin, 'cleanHistory');
	};
  owner.openWindow = function (url, extra) {
  		if(selfWin) selfWin.setStyle({mask:"rgba(255, 255, 255, 1.0)"});
    	mui.fire(parentWin, 'openWin', {'pageUrl': url, extra: extra});
  };
  owner.open = function (url, showWait) {
    if (childWin) return null;

    showWait && (waitWin = plus.nativeUI.showWaiting() );
    childWin = plus.webview.create(url, url);
    childWin.addEventListener('loaded', function () {
      console.log('aaa');
//			childWin.show();
//			showWait && waitWin.close();
    }, false);
    childWin.addEventListener('close', function () {//页面关闭后可再次打开
      childWin = null;
    }, false);
    return childWin;
  };

	function plusReady () {
	  // 获取窗口对象
	  selfWin = plus.webview.currentWebview();
	  parentWin = selfWin.parent();
	  if(window.hasOwnProperty('pageInit') ) pageInit();
	  if (window.hasOwnProperty('showWebview')
			&& selfWin.isVisible()
			&& ('function' == typeof showWebview) ) {
			showWebview();
		}
	  selfWin.addEventListener('loaded', function () {
	    console.log("loaded " + selfWin.id);
	  });
	  selfWin.addEventListener('show', function () {
  		selfWin.setStyle({mask:"none"});
	  	if(window.hasOwnProperty('showWebview')
	  		&& ('function' == typeof showWebview) ) {
	  		showWebview();
	  	}
	    console.log("showing " + selfWin.id + ' ' + window.hasOwnProperty('showWebview') );
	  });
	  selfWin.addEventListener('hide', function () {
  		selfWin.setStyle({mask:"none"});
	  	if(window.hasOwnProperty('hideWebView')
	  		&& ('function' == typeof hideWebView) ) {
	  		hideWebView();
	  	}
	    console.log("hideing " + selfWin.id);
	  });
	  selfWin.addEventListener('close', function () {
	    console.log("closing " + selfWin.id);
	  });
	  
	  var oldBack = mui.back;
	  mui.back = function () {
	    //显示上一个界面；
	    mui.currentWebview.opener().show();
	    //继续当前页面原有返回逻辑
	    oldBack();
	  };
	}
	if(window.plus){
		plusReady();
	}else{
		document.addEventListener( "plusready", plusReady, false );
	}
}(window.winAdmin ? false : (window.winAdmin = {}));