var appWinList = {
  'login.html': {
    url: 'subpage/login/login.html',
    style: {
      top: '44px',
      bottom: '50px',
      bounce: 'vertical'
    },
    title: '登录'
  },
  'register.html': {
    url: 'subpage/login/register.html',
    style: {
      top: '44px',
      bottom: 0,
      bounce: 'vertical'
    },
    title: '注册'
  },
  'forget.html': {
    url: 'subpage/login/forget.html',
    style: {
      top: '44px',
      bottom: 0,
      bounce: 'vertical'
    },
    title: '忘记密码'
  },
  'reset.html': {
    url: 'subpage/login/reset.html',
    style: {
      top: '44px',
      bottom: 0,
      bounce: 'vertical'
    },
    title: '忘记密码'
  },
  'homeDetail.html': {
    url: 'subpage/product/homeDetail.html',
    style: {
      top: '44px',
      bottom: '50px',
    },
    title: '时时惊喜'
  },
  'homeOpen.html': {
    url: 'subpage/openPrize/homeOpen.html',
    style: {
      top: '44px',
      bottom: '50px',
      scrollIndicator: 'none',
      zindex: 11
    },
    title: '开奖'
  },
  'carriedOut.html': {
    url: 'subpage/winningRecord/carriedOut.html',
    style: {
      top: '44px',
      bottom: '50px',
      scrollIndicator: 'none',
      zindex: 11
    },
    title: '夺宝记录',
    "mustLogin": true
  },
  'personalIndex.html': {
    url: 'subpage/personalInformation/personalIndex.html',
    style: {
      top: '44px',
      bottom: '50px',
      scrollIndicator: 'none',
      zindex: 11
    },
    title: '个人中心',
    "mustLogin": true
  },
  'productDetail.html': {
  	url: 'subpage/product/productDetail.html',
    style: {
      top: '44px',
      bottom: 0,
      zindex: 11
    },
    title: '产品详情'
  },
  'graphicDetail.html': {
  	url: 'subpage/product/graphicDetail.html',
    style: {
      top: '44px',
      bottom: 0,
      zindex: 11
    },
    title: '图文详情'
  },
  'paymentOrder.html': {
  	url: 'subpage/product/paymentOrder.html',
    style: {
      top: '44px',
      bottom: 0,
      zindex: 11
    },
    title: '支付订单',
    save: false
  },
  'rushSuccess.html': {
  	url: 'subpage/product/rushSuccess.html',
    style: {
      top: '44px',
      bottom: 0,
      zindex: 11
    },
    title: '支付结果'
  },
  'openDetail.html':{
  	url: 'subpage/openPrize/openDetail.html',
    style: {
      top: '44px',
      bottom: 0,
      zindex: 11
    },
    title: '产品详情'
  },
  'calculateDetail.html':{
  	url: 'subpage/openPrize/calculateDetail.html',
    style: {
      top: '44px',
      bottom: 0,
      zindex: 11
    },
    title: '计算详情'
  },
  'numberDetails.html':{
  	url: 'subpage/winningRecord/numberDetails.html',
    style: {
      top: '44px',
      bottom: 0,
      zindex: 11
    },
    title: '夺宝详情'
  },
  'personalData.html':{
  	url: 'subpage/personalInformation/personalData.html',
    style: {
      top: '44px',
      bottom: 0,
      zindex: 11
    },
    title: '个人资料'
  },
  'recharge.html':{
  	url: 'subpage/personalInformation/recharge.html',
    style: {
      top: '44px',
      bottom: 0,
      zindex: 11
    },
    save:false,
    title: '充值'
  },
  'rechargeRecord.html':{
  	url: 'subpage/personalInformation/rechargeRecord.html',
    style: {
      top: '44px',
      bottom: 0,
      zindex: 11
    },
    title: '充值记录'
  },
  'harvestAddress.html':{
  	url: 'subpage/personalInformation/harvestAddress.html',
    style: {
      top: '44px',
      bottom: 0,
      zindex: 11
    },
    title: '收货地址',
    save: false
  },
  'fillAddress.html':{
  	url: 'subpage/personalInformation/fillAddress.html',
    style: {
      top: '44px',
      bottom: 0,
      zindex: 11
    },
    title: '收货地址',
    save: false
  },
  'notificationMessage.html':{
  	url: 'subpage/personalInformation/notificationMessage.html',
    style: {
      top: '44px',
      bottom: 0,
      zindex: 11
    },
    title: '通知'
  },
   'notificationMessages.html':{
  	url: 'subpage/personalInformation/notificationMessages.html',
    style: {
      top: '44px',
      bottom: 0,
      zindex: 11
    },
    title: '通知'
  },
  'commonProblem.html':{
  	url: 'subpage/personalInformation/commonProblem.html',
    style: {
      top: '44px',
      bottom: 0,
      zindex: 11
    },
    title: '常见问题'
  },
  'serviceAgreement.html':{
  	url: 'subpage/personalInformation/serviceAgreement.html',
    style: {
      top: '44px',
      bottom: 0,
      zindex: 11
    },
    title: '服务协议'
  },
  'contactUs.html':{
  	url: 'subpage/personalInformation/contactUs.html',
    style: {
      top: '44px',
      bottom: 0,
      zindex: 11
    },
    title: '联系我们'
  },
  'winner.html':{
  	url: 'subpage/winningRecord/winner.html',
    style: {
      top: '44px',
      bottom: 0,
      zindex: 11
    },
    title: '获奖详情'
  },
  'nickname.html':{
  	url: 'subpage/personalInformation/nickname.html',
    style: {
      top: '44px',
      bottom: 0,
      zindex: 11
    },
    title: '修改昵称',
    save: false
  },
  'code.html':{
  	url: 'subpage/personalInformation/code.html',
    style: {
      top: '44px',
      bottom: 0,
      zindex: 11
    },
    title: '我的返利二维码'
  },
  'receiptAddress.html':{
  	url: 'subpage/personalInformation/receiptAddress.html',
    style: {
      top: '44px',
      bottom: 0,
      zindex: 11
    },
    title: '修改收货地址',
    save: false
  },
  'myIntegral.html':{
  	url: 'subpage/integral/myIntegral.html',
    style: {
      top: 0,
      bottom: 0,
      zindex: 11
    }
  },
  'myExchange.html':{
  	url: 'subpage/integral/myExchange.html',
    style: {
      top: '44px',
      bottom: 0,
      zindex: 11
    },
    title: '积分详情',
  },
  'newbieTask.html':{
  	url: 'subpage/integral/newbieTask.html',
    style: {
      top: '44px',
      bottom: 0,
      zindex: 11
    },
    title: '新手任务',
  },
  'integralDescription.html':{
  	url: 'subpage/integral/integralDescription.html',
    style: {
      top: '44px',
      bottom: 0,
      zindex: 11
    },
    title: '积分说明',
  },
  'debugging.html':{
  	url: 'subpage/alipay/debugging.html',
    style: {
      top: '44px',
      bottom: 0,
      zindex: 11
    },
    title: '调试页面',
  },
  'inviteFriends.html':{
  	url: 'subpage/integral/inviteFriends.html',
    style: {
      top: 0,
      bottom: 0,
      zindex: 11
    }
  },
  
};

var appWinPreload = {
  'frame.html': ['homeDetail.html','homeOpen.html','carriedOut.html','personalIndex.html']
//'homeDetail.html':['productDetail.html'],
//'productDetail.html':['graphicDetail.html','paymentOrder.html'],
//'paymentOrder':['rushSuccess.html'],
//'rushSuccess':['homeDetail.html'],
//'homeOpen':['openDetail.html'],
//'openDetail':['graphicDetail.html','calculateDetail.html'],
//'calculateDetail':['homeDetail.html','numberDetails.html'],
//'personalIndex':['personalData.html','recharge.html','rechargeRecord.html','harvestAddress.html','myIntegral.html'],
//'harvestAddress.html':['fillAddress.html'],
//'carriedOut.html':['winner.html'],
//'winner.html':['harvestAddress.html'],
//'myIntegral.html':['myExchange.html','newbieTask.html'],
};