/**
 * Created by Administrator on 2016/4/8.
 */
/**
 * Created by Administrator on 2016/4/6.
 */
requirejs.config({
	//By default load any module IDs from js/lib
	baseUrl: '../../js',
	shim: {
		'app': ['hprose']
	}
});


// Start the main app logic.
require(['mui', 'vue', 'winAdmin', 'app'], function(mui, Vue) {
	var sign = document.getElementById('sign');
	var signs = document.getElementById('signs');
	var signOther =document.getElementById('signOther');
	var integralOther =document.getElementById('integralOther');
	var exchangeIntegral = document.getElementById('exchangeIntegral');
	
	var appVue = new Vue({
		el: 'body',
		data: {
			types:[],
			typeName:{
				1:'注册成功',
				2:'邀请好友充值返利',
				3:'分享成功',
				4:'签到成功',
				5:'兑换成功',
				6:'消费成功送积分'
			},
			integral:[]
		},
		methods: {
			
		}
	});
	
	mui.plusReady(function () {
		getSelfIntegralRecordInfoTableWithInType();
	});
	
	window.showWebview = function() {
		getSelfIntegralRecordInfoTableWithInType();
	}
	
	Vue.filter('show-server-time', function (val) {
	    return app.showServerTime(val);
	});
	
	var getnews = document.getElementById('getnews');
	var gethot = document.getElementById('gethot');
	
	//点击积分记录
	getnews.addEventListener('tap',function(){
		getSelfIntegralRecordInfoTableWithInType();
	});
	//点击积分兑换
	gethot.addEventListener('tap',function(){
		getSelfIntegralRecordInfoTableWithOutType();
	});
	
	//积分记录
	function getSelfIntegralRecordInfoTableWithInType(){
		app.netCall('User_getSelfIntegralRecordInfoTableWithInType',[], function (data) {
			if(data.ret.code == 1006) return winAdmin.openWindow('login.html');
			var dataInfo = data.integralRecordInfoArr.data;
			appVue.types = dataInfo;
			if(appVue.types == ""){
				nowIntegral.style.display = "none";
            	sign.style.display = "none";
            	signOther.style.display = "block";
			}else{
				nowIntegral.style.display = "none";
				sign.style.display = "block";
            	signOther.style.display = "none";
			}
    	});
	}
	
	//积分兑换
	function getSelfIntegralRecordInfoTableWithOutType(){
		app.netCall('User_getSelfIntegralRecordInfoTableWithOutType',[], function (data) {
			if(data.ret.code == 1006) return winAdmin.openWindow('login.html');
			var dataInfo = data.integralRecordInfoArr.data;
			appVue.integral = dataInfo;
			if(appVue.integral == ""){
				exchangeIntegral.style.display = "none";
            	signs.style.display = "none";
            	integralOther.style.display = "block";
			}
			else{
				exchangeIntegral.style.display = "none";
				signs.style.display = "block";
            	integralOther.style.display = "none";
			}
    	});
	}
});