/**
 * Created by Administrator on 2016/4/8.
 */
/**
 * Created by Administrator on 2016/4/6.
 */
requirejs.config({
    //By default load any module IDs from js/lib
    baseUrl: '../../js',
    shim: {
		'app': ['hprose']
    },
});

// Start the main app logic.
require(['mui','util','winAdmin', 'hprose', 'app'],function(mui) {
	
		var register = document.querySelector('#register');
		var validLink = document.querySelector('#link-get-valid');
		var regMobileBox = document.querySelector('#txt-reg-mobile');
		var regValidBox = document.querySelector('#txt-reg-valid');
		var regPasswdBox = document.querySelector('#txt-reg-password');//密码
		var regConfirmBox = document.querySelector('#txt-reg-ConfirmPassword');//密码
		var runCnt = "";
		var mobileInfo = [];
		
		window.showWebview = function() {
	  		clear();
		}
		
		// 验证码获取
		  validLink.addEventListener('tap', function () {
		  	if(validLink.getAttribute('data-only-tap')) return false;
		  	
		    if (!util.checkMobile(regMobileBox.value)) {
		    	mui.toast('手机号错误');
		      return;
		    }
		    
		    if (runCnt) return;
		    validLink.setAttribute('data-only-tap',1);
		    
		    validLink.innerText = '短信正在发送中..';
		    
		    app.netCall('User_getResetValidCode', [regMobileBox.value], function (data) {
		      if (data.ret.code != 0) {
		        if (data.ret.msg){
		        	mui.toast(data.ret.msg);
		        	validLink.innerText = '获取验证码';
		        	validLink.removeAttribute('data-only-tap');
		        } 
		        return;
		      }
		      if (data.once.validCode) regValidBox.setAttribute('placeholder', data.once.validCode);
		      runCnt = 60;
		      regValidBox.focus();
		      var oldText = validLink.innerText;
		      var timerId = setInterval(function () {
		        --runCnt;
		        if (runCnt > 0) {
		          validLink.innerText = '(' + runCnt + ')';
		        }
		        else {
		          validLink.innerText = '获取验证码';
		          clearInterval(timerId);
		          validLink.removeAttribute('data-only-tap');
		        }
		      }, 1000);
		    });
		   
		  });
		
		register.addEventListener('tap', function (event){
			if (regValidBox.value.length < 6) {
		      mui.toast('请输入校验码');
		      return ;
		    }
			if (regPasswdBox.value.length < 6) {
		    	mui.toast('新密码不能少于6位');
		      return;
		    }
		    else if(regPasswdBox.value.length > 20){
		    	mui.toast('新密码不能大于20位');
		      return;
		    }
		    
		    if (regConfirmBox.value.length < 6) {
		    	mui.toast('确认密码不能少于6位');
		      return;
		    }
		    else if(regConfirmBox.value.length > 20){
		    	mui.toast('确认密码不能大于20位');
		      return;
		    }
		    
			if (regConfirmBox.value != regPasswdBox.value) {
		      mui.toast('两次密码输入不一致');
		      return ;
		    }
			app.netCall('User_resetPass', [regMobileBox.value , regConfirmBox.value , regValidBox.value], function (data) {
				if(data.ret.code == 1007){
					mui.toast('验证码错误！');
					return ;
				}
				if(data.ret.code == 1003){
					mui.toast('手机号错误！');
					return ;
				}
				if(data.ret.code == 1001){
					mui.toast('用户不存在！');
					return ;
				}
				mui.toast('修改成功！');
				winAdmin.openWindow('login.html');
				return ;
		    });
		});
		
		function clear(){
			regValidBox.value = "";
			regMobileBox.value = "";
			regConfirmBox.value = "";
			regPasswdBox.value = "";
		}
});