/**
 * Created by Administrator on 2016/4/8.
 */
/**
 * Created by Administrator on 2016/4/6.
 */
requirejs.config({
    //By default load any module IDs from js/lib
    baseUrl: '../../js',
    shim: {
		'app': ['hprose'],
		'vue':['mui']
    }
});


// Start the main app logic.
require(['mui', 'vue', 'winAdmin', 'app'], function(mui, Vue) {
	var noHarvest = document.querySelector("#noHarvest");
	var harvestAddressLoad =document.getElementById('harvestAddressLoad');
	var harvestAddress =document.getElementById('harvestAddress');
	
	mui.plusReady(function () {
		appVue.expressAddressArr = [];
		getSelfExpressAddress();
	});
	
	window.showWebview = function() {
		appVue.expressAddressArr = [];
		getSelfExpressAddress();
	}
	
	var appVue = new Vue({
		el: 'body',
		data: {
			expressAddressArr:[]
		},
		methods: {
			Address:function(id){
				localStorage.setItem('AddressId',id);
				winAdmin.openWindow('receiptAddress.html');
			},
			nowrushBtn:function(){
				winAdmin.openWindow('fillAddress.html');
			},
			deladdress:function(id){
				localStorage.setItem('delAddressId',id);
				var btnArray = ['确认', '取消'];
				mui.confirm('确认删除该条记录？', btnArray, function(e) {
					if (e.index == 1) {
						modifyExpressAddress();
						getSelfExpressAddress();
						return false;
					} else {
						return false;
					}
				});
				
			}
		}
	});
	
	
	function getSelfExpressAddress(){
		app.netCall('User_getSelfExpressAddress', [], function(data) {
			var dataInfo = data.expressAddressArr.data;
			for(var i = 0;i<dataInfo.length;i++){
				dataInfo[i]['ThreeDigit'] = dataInfo[i].phone.substring(0,3);
				dataInfo[i]['FourDigit'] = dataInfo[i].phone.substring(7,11);
				dataInfo[i]['name'] = dataInfo[i].name;
				dataInfo[i]['city'] = dataInfo[i].province + dataInfo[i].city;
				dataInfo[i]['address'] = dataInfo[i].address;
				dataInfo[i]['postcode'] = dataInfo[i].postcode;
				dataInfo[i]['isDefault'] = dataInfo[i].isDefault;
				dataInfo[i]['id'] = dataInfo[i].id;
			}
			appVue.expressAddressArr = dataInfo;
			if(appVue.expressAddressArr[0]){
				noHarvest.style.display = "none";
				harvestAddressLoad.style.display = "none";
				harvestAddress.style.display = "block";
  			}else{
				noHarvest.style.display = "block";
  				harvestAddressLoad.style.display = "none";
				harvestAddress.style.display = "block";
  			}
		});
	}
	
	function modifyExpressAddress(){
		var id = localStorage.getItem('delAddressId');
		app.netCall('User_modifyExpressAddress', [{'isDelete':'1','id':id}], function(data) {
//			console.log("---------------------->"+JSON.stringify(data));
		});
	}
});