/**
 * Created by Administrator on 2016/4/8.
 */
/**
 * Created by Administrator on 2016/4/6.
 */
requirejs.config({
  //By default load any module IDs from js/lib
  baseUrl: '../../js',
  shim: {
    'app': ['hprose']
  }
});


// Start the main app logic.
require(['mui', 'vue','winAdmin', 'app'], function (mui,Vue) {
	var signBtn = document.getElementById('sign-btn');
	var nickName = document.getElementById('nickName');
	
	signBtn.addEventListener('tap', function () {
		localStorage.removeItem('newsNickName');
		if (nickName.value.length == "") {
	    	mui.toast('请输入名字！');
	      	return;
	    }
		if (nickName.value.length > 12) {
	    	mui.toast('修改名字超过12个字！');
	      	return;
	    }
		getSelfInfo(nickName.value);
	});
	
	var appVue = new Vue({
		el: 'body',
		data: {
			user:{
				nickname: ""
			}
		},
		methods: {
			
		}
	});
	
	mui.plusReady(function () {
			getnickName();
	});
	
	window.showWebview = function() {
		getnickName();
	};
	
	
	function getSelfInfo(newNickName){
		app.netCall('User_setUserInfo', [{'nickName':newNickName}], function(data) {
			if (data.ret.code != 0) {
				mui.toast('修改失败，请重新操作！');
				return;
			}else{
				mui.toast('修改成功！');
				winAdmin.openWindow('personalData.html');
				return;
			}
			
		});
	}
	
	function getnickName(){
		appVue.user.nickname = localStorage.getItem('newsNickName');
	}
});