/**
 * Created by Administrator on 2016/4/8.
 */
/**
 * Created by Administrator on 2016/4/6.
 */
requirejs.config({
  //By default load any module IDs from js/lib
  baseUrl: '../../js',
  shim: {
    'app': ['hprose']
  }
});


// Start the main app logic.
require(['mui', 'vue','winAdmin','exif', 'app'], function (mui,Vue) {
	var img = document.getElementById('head-img');
	var imgDest = document.getElementById("dest");
    img.crossOrigin = 'Anonymous';
    
    img.onload = function(){
		EXIF.getData(img, function(){
			var imgOrientation = EXIF.getTag(img, 'Orientation');
			var ImageWidth = EXIF.getTag(img, 'PixelXDimension');
			var ImageHeight = EXIF.getTag(img, 'PixelYDimension');
    		img.exifdata = false;
    		
    		var imgSrc = document.getElementById('head-img').src;
		
			var dataOldImg = img.getAttribute('data-old-img');
			var canvas = document.createElement('canvas');
			var ctx = canvas.getContext('2d');
		    
		    if(imgOrientation == 1 || imgOrientation== undefined){
		    	canvas.height = this.height*3;
		    	canvas.width = this.width*3;
		    	ctx.drawImage(this,0,0,canvas.height,canvas.width);
		    }
		    if(imgOrientation == 3){
		    	canvas.height = this.height*3;
		    	canvas.width = this.width*3;
				ctx.rotate(180*Math.PI/180);
		   		ctx.drawImage(img,-canvas.height,-canvas.width,canvas.height,canvas.width);
		    
		    }
		    if(imgOrientation == 6){
		    	canvas.height =  ImageWidth/8;
				canvas.width =ImageHeight/8;
				ctx.rotate(90*Math.PI/180);
		   		ctx.drawImage(img,0,-canvas.width,canvas.width+150,canvas.height);
		    
		    }
		    if(imgOrientation == 8){
		    	canvas.height =  ImageWidth/8;
				canvas.width =ImageHeight/8;
				ctx.rotate(-90*Math.PI/180);
   				ctx.drawImage(img,-canvas.height,0,canvas.height,canvas.width+150);
		    
		    }
		    
		    var dataURL = canvas.toDataURL('image/png');
			canvas = null;
			var firstInfo = localStorage.getItem('firstInfo');
			//上传操作
			if(firstInfo == 1 && imgSrc && imgSrc != dataOldImg){
				app.netCall('User_setAvatar', [dataURL], function(data) {
				    console.log("<<<-------------------->>>"+JSON.stringify(data));	
				});
				return false;
			}else{
				localStorage.setItem('firstInfo',1);
				return false;
			}
		});
    };
    
	
  //更换头像
mui(".mui-table-view").on("tap", "#head", function (e) {
    if (mui.os.plus) {
      var a = [{
        title: "拍照"
      }, {
        title: "从手机相册选择"
      }];
      plus.nativeUI.actionSheet({
        cancel: "取消",
        buttons: a
      }, function (b) {
        switch (b.index) {
          case 0:
            break;
          case 1:
            getImage();
            break;
          case 2:
            galleryImg();
            break;
          default:
            break
        }
      })
    }

});

  //拍照选取
  function getImage() {
    var c = plus.camera.getCamera();
    c.captureImage(function (e) {
      plus.io.resolveLocalFileSystemURL(e, function (entry) {
        var s = entry.toLocalURL() + "?version=" + new Date().getTime();
        console.log(s);
        document.getElementById("head-img").src = s;
        console.log(s);
        
//      EXIF.getData(img, function(){
//		var a = EXIF.getTag(img, 'Orientation');
//			alert('img'+EXIF.pretty(img));
//			alert(a);
//		});
		
        //变更大图预览的src
      }, function (e) {
        console.log("读取拍照文件错误：" + e.message);
      });
    }, function (s) {
      console.log("error" + s);
    }, {
      filename: "_doc/head.jpg"
    })
  }

  //手机相册选取
  function galleryImg() {
    plus.gallery.pick(function (a) {
      plus.io.resolveLocalFileSystemURL(a, function (entry) {
        plus.io.resolveLocalFileSystemURL("_doc/", function (root) {
          root.getFile("head.jpg", {}, function (file) {
            //文件已存在
            file.remove(function () {
              console.log("file remove success");
              entry.copyTo(root, 'head.jpg', function (e) {
                  var e = e.fullPath + "?version=" + new Date().getTime();
                  console.log(e);
                  document.getElementById("head-img").src = e;
//                app.convertImgToBase64(e, function (base64Img) {
//                 	app.netCall('User_setAvatar', [base64Img], function(data) {
//                 		
//					});
//                });
                },
                function (e) {
                  console.log('copy image fail:' + e.message);
                });
            }, function () {
              console.log("delete image fail:" + e.message);
            });
          }, function () {
            //文件不存在
            entry.copyTo(root, 'head.jpg', function (e) {
                var path = e.fullPath + "?version=" + new Date().getTime();
                document.getElementById("head-img").src = path;
                document.getElementById("head-img1").src = path;
                //变更大图预览的src
                //目前仅有一张图片，暂时如此处理，后续需要通过标准组件实现
                document.querySelector("#__mui-imageview__group .mui-slider-item img").src = path;
              },
              function (e) {
                console.log('copy image fail:' + e.message);
              });
          });
        }, function (e) {
          console.log("get _www folder fail");
        })
      }, function (e) {
        console.log("读取拍照文件错误：" + e.message);
      });
    }, function (a) {
    }, {
      filter: "image"
    })
  };

  var nickname = document.querySelector("#nickname");
  var code = document.querySelector("#code");

  nickname.addEventListener('tap', function () {
    winAdmin.openWindow('nickname.html');
  });
  code.addEventListener('tap', function () {
    winAdmin.openWindow('code.html');
  });

  //退出登录
  document.getElementById("nowrush-btn").addEventListener('tap', function () {
    var btnArray = ['确认', '取消'];
    mui.confirm('是否确认退出登录', '时时惊喜', btnArray, function (e) {
      if (e.index == 0) {
        app.clean();
        plus.runtime.restart() //重启应用
        return;
      } else {
        return false;
      }
    })
  });
	  	var appVue = new Vue({
		el: 'body',
		data: {
			user: {}
		},
		methods: {
			
		}
	});
	
	mui.plusReady(function () {
			getSelfInfo();
	});
		
	window.showWebview = function() {
		getSelfInfo();
	}
	
	function getSelfInfo(){
		app.netCall('User_getSelfInfo', [], function(data) {
			if(data.ret.code == 1006) return winAdmin.openWindow('login.html');
			var imgUrl = JSON.parse(localStorage.getItem('config'));
			var img = data.user.avatar;
			if(img){
				data.user.avatar = imgUrl.conf.resBase + img;
			}
			appVue.user = data.user;
			if(appVue.user){
				personalDataLoad.style.display = "none";
				personalData.style.display = "block";
			}else{
				personalDataLoad.style.display = "block";
				personalData.style.display = "none";
			}
			localStorage.setItem('newsNickName',data.user.nickName);
		});
	}
});