/**
 * Created by Administrator on 2016/4/8.
 */
/**
 * Created by Administrator on 2016/4/6.
 */
requirejs.config({
	//By default load any module IDs from js/lib
	baseUrl: '../../js',
	shim: {
		'app': ['hprose']
	}
});


// Start the main app logic.
require(['mui', 'vue', 'winAdmin', 'app'], function(mui, Vue) {
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});

	var appVue = new Vue({
		el: 'body',
		data: {
			user: {},
			money:'',
		},
		methods: {
			//我的积分
			myPoints:function(){
				winAdmin.openWindow('myIntegral.html');
			},
			//资料
			property : function(){
				winAdmin.openWindow('personalData.html');
			},
			//充值
			recharge : function(){
				winAdmin.openWindow('recharge.html');
			},
			//充值记录
			record : function(){
				winAdmin.openWindow('rechargeRecord.html');
			},
			//收货地址
			harvestAddress : function(){
				winAdmin.openWindow('harvestAddress.html');
			},
			//系统消息
			notice : function(){
				winAdmin.openWindow('notificationMessage.html');
			},
			//常见问题
			common : function(){
				winAdmin.openWindow('commonProblem.html');
			},
			//服务协议 
			service : function(){
				winAdmin.openWindow('serviceAgreement.html');
			},
			//联系我们
			contactUs : function(){
				winAdmin.openWindow('contactUs.html');
			},
			//我的邀请码
			code : function(){
				winAdmin.openWindow('code.html');
			}
				
		}
	});
	window.showWebview = function() {
		getSelfInfo();
		getSelfMoney();
	}
	
	function getSelfInfo(){
		var indexLoad = document.getElementById('indexLoad');
		app.netCall('User_getSelfInfo', [], function(data) {
			if(data.ret.code == 1006) return winAdmin.openWindow('login.html');
			var imgUrl = JSON.parse(localStorage.getItem('config'));
			var img = data.user.avatar;
			var id = data.user.userId;
			if(img){
				data.user.avatars = imgUrl.conf.resBase + img;
			}
			appVue.user = data.user;
			if(appVue.user != ""){
				indexLoad.style.display = "none";
				personalIndex.style.display = "block";
			}else{
				indexLoad.style.display = "block";
				personalIndex.style.display = "none";
			}
			localStorage.setItem('moneyId',id);
		});
	}
	
	function getSelfMoney(){
		app.netCall('User_getSelfMoney', [], function(data) {
			if(data.ret.code == 1006) return winAdmin.openWindow('login.html');
			appVue.money = parseInt(data.money.money);
		});
	}

	
//	var editions = document.getElementById('edition');
//	var x=0;
//	var inter = "";
//	editions.addEventListener('tap',function(){
//		var now = new Date();
// 		var nowTime = now.getTime();
// 		var reduceTime = nowTime - inter;
// 		console.log(reduceTime);
//		x=x+1;
//      if(x == 5 && reduceTime < 5000){
//      	winAdmin.openWindow('debugging.html');
//      	x = 0;
//      }
//      if(reduceTime >= 5000){
//      	x = 0;
//      }
//      inter = nowTime;
//	})
});