/**
 * Created by Administrator on 2016/4/8.
 */
/**
 * Created by Administrator on 2016/4/6.
 */
requirejs.config({
    //By default load any module IDs from js/lib
    baseUrl: '../../js',
    shim: {
		'app': ['hprose']
    }
});


// Start the main app logic.
require(['mui', 'vue', 'winAdmin','common','immersed', 'app'], function(mui, Vue) {
	
	var appVue = new Vue({
		el: 'body',
		data: {
			money: ""
		},
		methods: {
			
		}
	});
	
	mui.each(document.querySelectorAll('.amount-money > ul > .mui-table-view-cell'),function (ind, node) {
	        node.addEventListener('tap', function () {
				var amountNum = document.getElementById('money-input');
				if(amountNum.value){
					amountNum.value = "";
					amountNum.blur();
				}else{
					amountNum.blur();
				}
	        	var current = document.querySelector(".mui-table-view-cell.mui-media.mui-col-xs-4.mui-col-sm-4.amount-color");
				var inputfocus = document.querySelector('#money-input');
	        	node.classList.add('amount-color');
	        	if(current) current.classList.remove('amount-color');
				var nodeNum = node.childNodes[1].innerText;
				
				if( appVue.money == nodeNum){
					appVue.money = "";
					nodeNum = "";
				}
				appVue.money = nodeNum;
	        })
        }
	);
	
	var money = document.querySelector('#money-input');
	money.addEventListener('tap',function(){
		var current = document.querySelector(".mui-table-view-cell.mui-media.mui-col-xs-4.mui-col-sm-4.amount-color");
		if(current) {
			localStorage.removeItem('nodeNum');
			current.classList.remove('amount-color');
		}
	});
	
	var nowrushBtn = document.querySelector('#nowrush-btn');
	nowrushBtn.addEventListener('tap',function(){
		var amountNumInt = document.getElementById('money-input').value;
		var amountNum = parseInt(amountNumInt);
		if(appVue.money == "" && amountNum == ""){
			mui.toast('请选择充值金额！');
			return false;
		}
		if(amountNum <=0){
			mui.toast('最小充值为1');
			document.getElementById('money-input').value = "1"; 
			return false;
		}else{
			pay('alipay');
		}
//		openBrowser(); //多余操作
	});
	
	//多余操作
	function openBrowser() {
		var userId = localStorage.getItem('moneyId');
		var nodeNum = localStorage.getItem('nodeNum');
		var amountNum = document.getElementById('money-input').value;
		var imgUrl = JSON.parse(localStorage.getItem('config'));
		if(amountNum){
			app.netCall('AliPay_createOrder',[userId,amountNum], function (data) {
				var OrderNo = data.orderInfo.out_trade_no;
				var url = imgUrl.conf.resBase + "/shishijingxi/payDetail.html?"+OrderNo;
//				var url = "http://192.168.1.7/~fenghe/shishijingxi/payDetail.html?"+OrderNo;
				plus.runtime.openURL( url );
	    	});
	    	winAdmin.openWindow('personalIndex.html');
		}
		else if(nodeNum){
			app.netCall('AliPay_createOrder',[userId,nodeNum], function (data) {
				var OrderNo = data.orderInfo.out_trade_no;
				var url = imgUrl.conf.resBase + "/shishijingxi/payDetail.html?"+OrderNo;
//				var url = "http://192.168.1.7/~fenghe/shishijingxi/payDetail.html?"+OrderNo;
				plus.runtime.openURL( url );
				localStorage.removeItem('nodeNum');
	    	});
	    	winAdmin.openWindow('personalIndex.html');
		}else{
			mui.toast('请输入充值金额');
		}
	}
	
	mui.plusReady(function () {
		payInfo();
		var current = document.querySelector(".mui-table-view-cell.mui-media.mui-col-xs-3.mui-col-sm-3.amount-color");
	    if(current) current.classList.remove('amount-color');
		var amountNum = document.getElementById('money-input');
		amountNum.blur();
		amountNum.value = "";
		appVue.money = "";
	});
	
	window.showWebview = function() {
		payInfo();
		var current = document.querySelector(".mui-table-view-cell.mui-media.mui-col-xs-3.mui-col-sm-3.amount-color");
	    if(current) current.classList.remove('amount-color');
		var amountNum = document.getElementById('money-input');
		amountNum.blur();
		amountNum.value = "";
		appVue.money = "";
	}
	

	
	var pays={};
	function payInfo(){
		// 获取支付通道
		plus.payment.getChannels(function(channels){
			for(var i=0;i<channels.length;i++){
				var channel=channels[i];
				if(channel['id'] == 'alipay'){
					checkServices(channel);
					pays[channel.id]=channel;
				}
			}
		},function(e){
			outLine("获取支付通道失败："+e.message);
		});
	}
//	document.addEventListener('plusready',plusReady,false);
	// 检测是否安装支付服务
	function checkServices(pc){
//		alert(pc.serviceReady);
		if(!pc.serviceReady){
			var txt=null;
			switch(pc.id){
				case "alipay":
				txt="检测到系统未安装“支付宝快捷支付服务”，无法完成支付操作，是否立即安装？";
				break;
				default:
				txt="系统未安装“"+pc.description+"”服务，无法完成支付，是否立即安装？";
				break;
			}
			plus.nativeUI.confirm(txt,function(e){
				if(e.index==0){
					pc.installService();
				}
			},pc.description);
		}
	}
	
	
	var w=null;
	//var PAYSERVER='http://demo.dcloud.net.cn/payment/?payid=';
//	var localStorageUrl = localStorage.getItem('documentRoot');
	var PAYSERVER= 'https://app.hzmacheng.com:8000/AliPay_getAliPayOrder?payid=';
	// 支付
	function pay(id){
		if(w){return;}//检查是否请求订单中
		if(id==='appleiap'){
			console.log("应用内支付");
			clicked('payment_iap.html');
			return;
		}
		console.log("----- 请求支付 -----");
		var url=PAYSERVER;
		if(id=='alipay'||id=='wxpay'){
			url+=id;
			console.log("----- 请求支付 -----"+url)
		}else{
			plus.nativeUI.alert("当前环境不支持此支付通道！",null,"时时惊喜");
			return;
		}
		var appid=plus.runtime.appid;
		if(navigator.userAgent.indexOf('StreamApp')>=0){
			appid='Stream';
		}
		
		var userId = localStorage.getItem('moneyId');
		url+='&userId='+userId;
		url+='&appid='+appid+'&total=';
		w=plus.nativeUI.showWaiting();
		// 请求支付订单
		var amount = document.getElementById('money-input').value;
		var xhr=new XMLHttpRequest();
		xhr.onreadystatechange=function(){
			switch(xhr.readyState){
				case 4:
				w.close();w=null;
				if(xhr.status==200){
					console.log("----- 请求订单成功 -----");
					console.log( xhr.responseText );
					var order=xhr.responseText;
					plus.payment.request(pays[id],order,function(result){
						console.log("----- 支付成功 -----");
						console.log(JSON.stringify(result));
						mui.toast('恭喜支付成功！');
						winAdmin.openWindow('personalIndex.html');
					},function(e){
						console.log("----- 支付失败 -----");
						console.log("["+e.code+"]："+e.message);
						mui.toast('支付失败，支付已取消。');
					});
				}else{
					console.log("----- 请求订单失败 -----");
					console.log( xhr.status );
					plus.nativeUI.alert("获取订单信息失败！",null);
				}
				break;
				default:
				break;
			}
		}
		if(amount){
			xhr.open('GET',url+amount);
			xhr.send();
		}else if(appVue.money){
			xhr.open('GET',url+appVue.money);
			xhr.send();
		}
		
		
	}
		
});