/**
 * Created by Administrator on 2016/4/8.
 */
/**
 * Created by Administrator on 2016/4/6.
 */
requirejs.config({
    //By default load any module IDs from js/lib
    baseUrl: '../../js',
    shim: {
		'app': ['hprose']
    }
});


// Start the main app logic.
require(['mui', 'vue', 'winAdmin', 'app'], function(mui, Vue) {
	var now = document.querySelector('#now-btn');
	var already = document.querySelector('#already-btn');
	var immediately = document.querySelector('#immediately-btn');
	var lookNo = document.querySelector('.look-number');
	var carried =document.querySelector('.carried-out')
	var announced =document.querySelector('.already-announced')
	var winning =document.querySelector('.look-winning');
	var carriedOutState = document.getElementById("carriedOutState");///进行中数据
    var alreadyAnnouncedState = document.getElementById("alreadyAnnouncedState");
    var winningerState = document.getElementById("winningerState");
    var nowPlayDetail = document.getElementById("nowPlayDetail");
    var nowPlayLoad = document.getElementById("nowPlayLoad");
    var alreadyDetailLoad = document.getElementById("alreadyDetailLoad");
    var alreadyDetail = document.getElementById("alreadyDetail");
	var winngerDetailLoad = document.getElementById("winngerDetailLoad");
	var winngerDetail = document.getElementById("winngerDetail");
	
	var nowPlayGetMore = document.getElementById("nowPlayGetMore");
	var alreadyGetMore =document.getElementById("alreadyGetMore");
	var winningerGetMore = document.getElementById("winningerGetMore");
	
	//进行中
	var carriedOut = document.querySelector('#carriedOut');
	//已揭晓
	var alreadyAnnounced = document.querySelector('#alreadyAnnounced');
	//中奖
	var winninger = document.querySelector('#winninger');
	
	carriedOut.addEventListener('tap',function(){
		state = 0;
		first = 0;
		getSelfBuyInfoTableWithProcessing(length, first);
	});
	alreadyAnnounced.addEventListener('tap',function(){
		state = 1;
		firstPage = 0;
		getSelfBuyInfoTableWithHasAnnounced(length, firstPage);	
	});
	winninger.addEventListener('tap',function(){
		state = 2;
		firstWinnerPage = 0;
		getSelfWinningInfoTable(length,firstWinnerPage);
	});
	
	//进行中下载加载更多
	nowPlayGetMore.addEventListener('tap', function() {
		state = 0;
		onScrollToBottom();
	});
	//已揭晓下拉刷新
	alreadyGetMore.addEventListener('tap', function() {
		state = 1;
		onScrollToBottom();
	});
	//中奖下拉刷新
	winningerGetMore.addEventListener('tap', function() {
		state = 2;
		onScrollToBottom();
	});
	
	
	
	
	already.addEventListener('tap',function(){
		winAdmin.openWindow('homeDetail.html');
	});
	now.addEventListener('tap',function(){
		winAdmin.openWindow('homeDetail.html');
	});
	immediately.addEventListener('tap',function(){
		winAdmin.openWindow('homeDetail.html');
	});
	lookNo.addEventListener('tap',function(){
		winAdmin.openWindow('numberDetails.html');
	});
	winning.addEventListener('tap',function(){
		winAdmin.openWindow('winner.html');
	});
	
	Vue.filter('show-server-time', function (val) {
	    return app.showServerTime(val);
	});
	
	var length = 2; // 每页长度
	var first = 0; // 进行中当前页
	var firstPage = 0 //已揭晓当前页
	var firstWinnerPage = 0 //已揭晓当前页
	var mores = 0; // 判断进行中加载数据是否有更多
	var firstMores = 0; // 判断已揭晓加载数据是否有更多
	var WinnerPageMores = 0; // 判断中奖加载数据是否有更多
	var state;
	
	var appVue = new Vue({
  		el:"body",
  		data:{
  			selfBuyInfoArr:[],
  			selfBuyInfoArrs:[],
  			winningSelfBuyInfoArrs:[]
  		},
  		methods: {
			carriedOut:function(periodNum){
				if(event.srcElement.tagName.toLowerCase() == 'a') return false;
				localStorage.setItem('id',periodNum);
				winAdmin.openWindow('productDetail.html');
			},
			alreadyAnnounced:function(periodNum){
				if(event.srcElement.tagName.toLowerCase() == 'a') return false;
				localStorage.setItem('id',periodNum);
				winAdmin.openWindow('productDetail.html');
			},
			winninger:function(periodNum){
				localStorage.setItem('id',periodNum);
				winAdmin.openWindow('winner.html');
			},
			
			//查看我号码
			lookMyNum:function(periodNum){
				localStorage.setItem('id',periodNum);
				winAdmin.openWindow('numberDetails.html');
			},
			lookMyNums:function(periodNum){
				localStorage.setItem('id',periodNum);
				winAdmin.openWindow('numberDetails.html');
			}
		}
  	})
		
  	window.showWebview = function() {
  		state = 0;
  		first = 0;
			getSelfBuyInfoTableWithProcessing(length, first);
  		onPlusReady();
	}
  	
  	//进行中
	function getSelfBuyInfoTableWithProcessing(length, first){
		var pageFirst = first * length;
		app.netCall('Product_getSelfBuyInfoTableWithProcessing', [{length: length,first: pageFirst}], function(data) {
			if(data.ret.code == 1006) return winAdmin.openWindow('login.html');
			if(data.ret.code == 0){
				var dataInfo = data.selfBuyInfoArr.data;
				var imgUrl = JSON.parse(localStorage.getItem('config'));
		 	    for(var i = 0;i<dataInfo.length;i++){
		 	    	dataInfo[i]['productName'] = dataInfo[i].productName;
		 	    	dataInfo[i]['periodNum'] = dataInfo[i].periodNum;
		 	    	dataInfo[i]['surplusNum'] = dataInfo[i].surplusNum;
		 	    	dataInfo[i]['totalNum'] = dataInfo[i].totalNum;
		 	    	dataInfo[i]['joinNum'] = dataInfo[i].totalNum - dataInfo[i].surplusNum;
		 	    	dataInfo[i]['mobile'] = dataInfo[i].mobile;
		 	    	dataInfo[i]['imgs'] = imgUrl.conf.resBase + dataInfo[i].image.carouselImg[0].path;
		 	    	dataInfo[i]['userBuyAmount'] = dataInfo[i].userBuyAmount;
		 	    	dataInfo[i]['status'] = dataInfo[i].status;
		 	    }
		 	    
		 	    if (dataInfo[0]) {
					if (0 == first) {
						appVue.selfBuyInfoArrs = dataInfo;
					}else{
						for (var j = 0; j < dataInfo.length; j++) {
						appVue.selfBuyInfoArrs.push(dataInfo[j]);
						}
					}
					mores = 0;
					
				} else {
					mores = 1;
				}
		 	    
		 	    if(appVue.selfBuyInfoArrs[0]){
	            	carriedOutState.style.display = "none";
	            	nowPlayDetail.style.display = "none";
	            	nowPlayLoad.style.display = "block";
	            	appVue.$nextTick(function(){
						var ClippingNum = 'carriedOutNow';
			  			IndianaPictureClipping(ClippingNum);
			  		});
		 	    }else{
		 	    	carriedOutState.style.display = "block";
		 	    	nowPlayDetail.style.display = "none";
		 	    	nowPlayLoad.style.display = "none";
		 	    }
		 	}
	    });
	}
  	
  	//已揭晓
  	function getSelfBuyInfoTableWithHasAnnounced(length,firstPage){
  		var pageFirst = firstPage * length;
  		app.netCall('Product_getSelfBuyInfoTableWithHasAnnounced', [{length: length,first: pageFirst}], function(data) {
  			if(data.ret.code == 1006) return winAdmin.openWindow('login.html');
  			if(data.ret.code == 0){
	  			var dataInfo = data.selfBuyInfoArr.data;
	  			var imgUrl = JSON.parse(localStorage.getItem('config'));
		 	    for(var i = 0;i<dataInfo.length;i++){
		 	    	dataInfo[i]['productName'] = dataInfo[i].productName;
		 	    	dataInfo[i]['periodNum'] = dataInfo[i].periodNum;
		 	    	dataInfo[i]['surplusNum'] = dataInfo[i].surplusNum;
		 	    	dataInfo[i]['totalNum'] = dataInfo[i].totalNum;
		 	    	dataInfo[i]['userBuyAmount'] = dataInfo[i].userBuyAmount;
		 	    	dataInfo[i]['imgs'] = imgUrl.conf.resBase + dataInfo[i].image.carouselImg[0].path;
		 	    	dataInfo[i]['nickName'] = dataInfo[i].nickName;
		 	    	dataInfo[i]['luckyNum'] = dataInfo[i].luckyNum;
		 	    	dataInfo[i]['mobile'] = dataInfo[i].mobile;
		 	    	dataInfo[i]['generatesLuckyTime'] = dataInfo[i].generatesLuckyTime;
		 	    }
		 	    if (dataInfo[0]) {
					if (0 == firstPage) {
						appVue.selfBuyInfoArr = [];
					}else{
						for (var j = 0; j < dataInfo.length; j++) {
							appVue.selfBuyInfoArr.push(dataInfo[j]);
						}
					}
					firstMores = 0;
					
				} else {
					firstMores = 1;
				}
		 	    
		 	    if(appVue.selfBuyInfoArr[0]){
	            	alreadyAnnouncedState.style.display = "none";
	            	alreadyDetailLoad.style.display = "none";
	            	alreadyDetail.style.display = "block";
					appVue.$nextTick(function(){
						var ClippingNum = 'carriedOutAlready';
			  			IndianaPictureClipping(ClippingNum);
			  		});
		 	    }else{
		 	    	alreadyAnnouncedState.style.display = "block";
		 	    	alreadyDetailLoad.style.display = "none";
	            	alreadyDetail.style.display = "none";
		 	    }
		 	}
	    });
  	}
  	
  	//中奖
  	function getSelfWinningInfoTable(length,firstWinnerPage){
  		var pageFirst = firstWinnerPage * length;
  		app.netCall('Product_getSelfWinningInfoTable', [{length: length,first: pageFirst}], function(data) {
  			if(data.ret.code == 1006) return winAdmin.openWindow('login.html');
  			if(data.ret.code == 0){
	  			var dataInfo = data.winningInfoArr.data;
	  			var imgUrl = JSON.parse(localStorage.getItem('config'));
		 	    for(var i = 0;i<dataInfo.length;i++){
		 	    	dataInfo[i]['productName'] = dataInfo[i].productName;
		 	    	dataInfo[i]['periodNum'] = dataInfo[i].periodNum;
		 	    	dataInfo[i]['surplusNum'] = dataInfo[i].surplusNum;
		 	    	dataInfo[i]['totalNum'] = dataInfo[i].totalNum;
		 	    	dataInfo[i]['buyAmount'] = dataInfo[i].buyAmount;
		 	    	dataInfo[i]['imgs'] = imgUrl.conf.resBase + dataInfo[i].image.carouselImg[0].path;
		 	    	dataInfo[i]['nickName'] = dataInfo[i].nickName;
		 	    	dataInfo[i]['luckyNum'] = dataInfo[i].luckyNum;
		 	    	dataInfo[i]['mobile'] = dataInfo[i].mobile;
		 	    	dataInfo[i]['endTime'] = dataInfo[i].endTime;
		 	    }
		 	    
		 	    if (dataInfo[0]) {
					if (0 == firstWinnerPage) {
						appVue.winningSelfBuyInfoArrs = dataInfo;
					}else{
						for (var j = 0; j < dataInfo.length; j++) {
						appVue.winningSelfBuyInfoArrs.push(dataInfo[j]);
					}
				}
					WinnerPageMores = 0;
					
				} else {
					WinnerPageMores = 1;
				}
		 	   
		 	    if(appVue.winningSelfBuyInfoArrs[0]){
		 	    	winngerDetailLoad.style.display = "none";
		 	    	winngerDetail.style.display = "block";
	            	winningerState.style.display = "none";
					appVue.$nextTick(function(){
						var ClippingNum = 'carriedOutWinning';
			  			IndianaPictureClipping(ClippingNum);
			  		});
	            	
		 	    }else{
		 	    	winngerDetailLoad.style.display = "none";
		 	    	winngerDetail.style.display = "none";
		 	    	winningerState.style.display = "block";
		 	    }	
  			}
	    });
  	}
  	
  	//夺宝记录
  	function IndianaPictureClipping(ClippingNum){
		var offsetWidth = document.querySelector('.'+ClippingNum).parentNode.offsetWidth;
		var offsetHeight = document.querySelector('.'+ClippingNum).parentNode.offsetHeight;
		mui.each(document.querySelectorAll('.'+ClippingNum),function(ind, node) {
			if(node.getAttribute('data-img-cliped') ) return;
			node.onload = function(){
				var c=document.createElement("canvas");
				c.style.display="none";
				c.width=node.width; 
				c.height=node.height;
				var ctx=c.getContext("2d");
				ctx.drawImage(node, 0,0); 
				var w = offsetWidth*3;
				var h = offsetHeight*3;
				var imgData=ctx.getImageData((node.width-w)/2, (node.height-h)/2,w,h);
				c.width = w;
				c.height = h;
				ctx.putImageData(imgData,0,0);
				node.src = c.toDataURL('image/png');
				node.setAttribute('data-img-cliped', true);
				node.style.display = "block";
				node.onload = null;
				c = null;
				ctx = null;
			};
			node.src = node.getAttribute('data-img-origan');
		});
	}
  	
  	function onPlusReady() {
		document.addEventListener("plusscrollbottom", onScrollToBottom, false);
	}

	//最新
	function onScrollToBottom() {
		// 处理滚动到窗口底部事件,加载分页数据
		if (state==0) {
			if (nowPlayGetMore.innerHTML != '没有更多数据啦') {
				++first;
				getSelfBuyInfoTableWithProcessing(length, first);
			}
			if (1 == mores) {
				nowPlayGetMore.innerHTML = '没有更多数据啦';
			}
		}
		
		if(state==1){
			if (alreadyGetMore.innerHTML != '没有更多数据啦') {
				++firstPage;
				getSelfBuyInfoTableWithHasAnnounced(length,firstPage);
			}
			if (1 == firstMores) {
				alreadyGetMore.innerHTML = '没有更多数据啦';
			}
		}
		
		if(state==2){
			if (winningerGetMore.innerHTML != '没有更多数据啦') {
				++firstWinnerPage;
				getSelfWinningInfoTable(length,firstWinnerPage)
			}
			if (1 == WinnerPageMores) {
				winningerGetMore.innerHTML = '没有更多数据啦';
			}
		}
	}
  	
});