/**
 * Created by Administrator on 2016/4/8.
 */
/**
 * Created by Administrator on 2016/4/6.
 */
requirejs.config({
    //By default load any module IDs from js/lib
    baseUrl: '../../js',
    shim: {
		'app': ['hprose']
    }
});


// Start the main app logic.
require(['mui', 'vue', 'winAdmin', 'app'], function(mui, Vue) {
	var appVue = new Vue({
		el: 'body',
		data: {
			period:[],
			indianNumInfoArr:[],
			buyNums:""

		},
		methods: {
			
		}
	});
	
	Vue.filter('show-server-time', function (val) {
	    return app.showServerTime(val);
	});
	
	
	mui.plusReady(function () {
		appVue.period = [];
		appVue.indianNumInfoArr = [];
	  	getUserBuyInfoByPeriodNum();
	  	periodInfoByIder();
	});
	
	window.showWebview = function() {
		appVue.indianNumInfoArr = [];
		appVue.indianNumInfoArr = [];
		getUserBuyInfoByPeriodNum();
		periodInfoByIder();
	}
	
	function getUserBuyInfoByPeriodNum(){
		var id = localStorage.getItem('id');
		app.netCall('Product_getUserBuyInfoByPeriodNum', [id], function(data) {
			var dataInfo = data.indianNumInfoArr;
			var buyNum = data.buyNum;
			for(var i = 0;i<dataInfo.length;i++){
				dataInfo[i]['indianaNum'] = dataInfo[i].indianaNum;
			}
			dataInfo['peopleNum'] = dataInfo.length;
			dataInfo[0]['postTime'] = dataInfo[0].postTime;
			appVue.indianNumInfoArr = dataInfo;
			appVue.buyNums = buyNum;
		});
	}
	
	function periodInfoByIder(){
		var id = localStorage.getItem('id');
		app.netCall('Product_periodInfoByNum', [id], function(data) {
			var dataInfo = data.period;
			dataInfo['periodNum'] = dataInfo.periodNum;
			dataInfo['productName '] = dataInfo.productName;
			
			var imgUrl = JSON.parse(localStorage.getItem('config'));
			dataInfo['imgs'] = imgUrl.conf.resBase + dataInfo.image.carouselImg[0].path;
			appVue.period = dataInfo;
		});
	}
});