/**
 * Created by Administrator on 2016/4/8.
 */
/**
 * Created by Administrator on 2016/4/6.
 */
requirejs.config({
    //By default load any module IDs from js/lib
    baseUrl: '../../js',
    shim: {
		'app': ['hprose']
    }
});


// Start the main app logic.
require(['mui', 'vue', 'util','winAdmin', 'app'], function(mui, Vue) {
	mui('#winning').popover('show');
	var winning = document.querySelector('#winning-btn');
	
	winning.addEventListener('tap',function(){
		mui('#winning').popover('hide'); 
	});
	
	Vue.filter('show-server-time', function (val) {
	    return app.showServerTime(val);
	});
	
	  /*
	  * 勾选状态确定按钮状态
	  */
//	  var checks = document.getElementById('checkboxFiveInput');
//	  var regButton = document.querySelector('#register');
//	  checks.addEventListener('change',function(){
//	  	alert("+checks.checked");
//	  	alert("000000"+checks.checked);
//	   	if(checks.checked == true){
//	   		alert('111');
//	   		regButton.removeAttribute('disabled');
//	    }else if(checks.checked == false){
//	    	alert('222');
//	    	regButton.disabled = "true";
//	    }
//	  });


	
	var appVue = new Vue({
		el: 'body',
		data: {
			period:[],
			expressAddress:[],
			state:"",
			status:"",
			logisticsFirm:"",
			expressNum:""
		},
		methods: {
			harvest:function(){
				winAdmin.openWindow('fillAddress.html');
			},
			checks:function(){
				var checks = document.getElementById('checkboxFiveInput');
				var regButton = document.querySelector('#register');
				if(checks.checked == true){
			   		regButton.removeAttribute('disabled');
			    }else if(checks.checked == false){
			    	regButton.disabled = "true";
			    }
			},
			address:function(){
				var id = localStorage.getItem('id');
				localStorage.setItem('numId',id);
				var btnArray = ['确认', '取消'];
				if(appVue.status == 1){
					mui.confirm('确认修改地址？', '时时惊喜', btnArray, function(e) {
						if (e.index == 0) {
							winAdmin.openWindow('harvestAddress.html',false);
							
		          	        return  false;
						} else {
							return false;
						}
					})
					return false;
				}
			},
			reg:function(){
				winAdmin.openWindow('serviceAgreement.html');
			},
			register:function(id,periodNum){
				var regButton = document.querySelector('#register');
				var agreeRead = document.querySelector('#agreeRead');
				var oddNumbers = document.querySelector('#oddNumbers');
				var btnArray = ['确认', '取消'];
				mui.confirm('确认地址不再修改？', '时时惊喜', btnArray, function(e) {
					if (e.index == 0) {
						regButton.style.display = "none";
						agreeRead.style.display = "none";
						oddNumbers.style.display = "block";
						userConfirmAddress(id,periodNum);
	          	        return  false;
					} else {
						return false;
					}
				})
				return false;
			}
		}
	});
	
	mui.plusReady(function () {
		appVue.expressAddress = [];
		getSingleProductInfo();
		getDefaultExpressAddress();
		getOrderFormStatus();
	});
	
	window.showWebview = function() {
		appVue.expressAddress = [];
		getSingleProductInfo();
		getDefaultExpressAddress();
		getOrderFormStatus();
	}
	
	//中奖上面信息
	function getSingleProductInfo(){
		var id = localStorage.getItem('id');
		localStorage.removeItem('numId');
		app.netCall('Product_periodInfoByNum', [id], function(data) {
			if(data.ret.code != 0) mui.toast(data.ret.msg);
			var dataInfo = data.period;
			var periodNums = dataInfo.periodNum
			dataInfo['periodNum'] = dataInfo.periodNum;
			dataInfo['luckyNum'] = dataInfo.luckyNum;
			dataInfo['productName'] = dataInfo.productName;
			dataInfo['totalNum'] = dataInfo.totalNum;
			dataInfo['generatesLuckyTime'] = dataInfo.endTime;
			
			var imgUrl = JSON.parse(localStorage.getItem('config'));
			if(dataInfo.image) dataInfo['imgs'] = imgUrl.conf.resBase + dataInfo.image.carouselImg[0].path;
			
			appVue.period = dataInfo;
		});
	}
	
	//地址
	function getDefaultExpressAddress(){
		app.netCall('User_getDefaultExpressAddress', [], function(data) {
			var dataInfo = data.expressAddress;
			if(dataInfo != null){
				appVue.state  = 1;
				dataInfo['id'] = dataInfo.id;
				var id = dataInfo.id;
				dataInfo['name'] = dataInfo.name;
				dataInfo['address'] = dataInfo.address;
				dataInfo['province'] = dataInfo.province+" "+dataInfo.city;
				dataInfo['phone'] = dataInfo.phone;
				if(dataInfo.postcode){
					dataInfo['postcode'] = dataInfo.postcode;
				}
			}else{
				appVue.state = 0;
			}
			appVue.expressAddress = dataInfo;
		});
	}
	
	//用户获取运单状态
	function getOrderFormStatus(){
		var id = localStorage.getItem('id');
		app.netCall('SupplierInfo_getOrderFormStatus', [id], function(data) {
			var regButton = document.querySelector('#register');
			var agreeRead = document.querySelector('#agreeRead');
			var oddNumbers = document.querySelector('#oddNumbers');
			var alreadyShipped = document.querySelector('#alreadyShipped');
			var shipped = document.querySelector('#shipped');
			appVue.status = data.status;
			appVue.logisticsFirm = data.orderFormInfo.logisticsFirm;
			appVue.expressNum = data.orderFormInfo.expressNum;
			if(appVue.status == 1){
				regButton.style.display = "block";
				agreeRead.style.display = "block";
				oddNumbers.style.display = "none";
			}else if(appVue.status == 2){
				regButton.style.display = "none";
				agreeRead.style.display = "none";
				oddNumbers.style.display = "block";
			}
			
			if(appVue.logisticsFirm != null && appVue.expressNum != null){
				alreadyShipped.style.display = "block";
				shipped.style.display = "none";
			}else{
				shipped.style.display = "block";
				alreadyShipped.style.display = "none";
			}
		});
	}
	
	//用户确认之后订单详情
	function userConfirmAddress(id,periodNum){
		app.netCall('SupplierInfo_userConfirmAddress', [{expressAddressId:id,periodNum:periodNum}], function(data) {
			
		});
	}
	
	
	//图文详情
//	function graphicDetails(ClippingNum){
//			var img = document.getElementById('detailImg');
//			img.onload = function(){
//				var imgHeight = img.offsetHeight;
//				console.log(imgHeight);
//				var c=document.createElement("canvas");
//				c.style.display="none";
//				c.width=img.width;
//				c.height=img.height;
//				var ctx=c.getContext("2d");
//				ctx.drawImage(img, 0,0); 
//				var w = 500;
//				var h = 300;
//				var imgData=ctx.getImageData((img.width-w)/2, (img.height-h)/2,w,h);
//				c.width = w;
//				c.height = h;
//				ctx.putImageData(imgData,0,0);
//				img.src = c.toDataURL('image/png');
//				img.setAttribute('data-img-cliped', true);
//				img.style.display = "block";
//				img.onload = null;
//				c = null;
//				ctx = null;
//			};
//			img.src = img.getAttribute('data-img-origan');
//	}
	
});